Bug 986939 - [abrt] system-config-printer-libs-1.4.1-7.fc19: urllib.py:1142:splitnport:TypeError: expected string or buffer
[abrt] system-config-printer-libs-1.4.1-7.fc19: urllib.py:1142:splitnport:Typ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:8173397ac7f96a04f068aa38c5c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-22 09:09 EDT by ARIKO
Modified: 2013-08-25 18:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-25 18:56:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (599 bytes, text/plain)
2013-07-22 09:09 EDT, ARIKO
no flags Details
File: core_backtrace (302 bytes, text/plain)
2013-07-22 09:09 EDT, ARIKO
no flags Details
File: environ (1.04 KB, text/plain)
2013-07-22 09:09 EDT, ARIKO
no flags Details

  None (edit)
Description ARIKO 2013-07-22 09:09:46 EDT
Version-Release number of selected component:
system-config-printer-libs-1.4.1-7.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/share/system-config-printer/scp-dbus-service.py
dso_list:       python-libs-2.7.5-3.fc19.x86_64
executable:     /usr/share/system-config-printer/scp-dbus-service.py
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
urllib.py:1142:splitnport:TypeError: expected string or buffer

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 1876, in job_event
    self.update_job (jobid, jobdata)
  File "/usr/share/system-config-printer/jobviewer.py", line 936, in update_job
    (server, port) = urllib.splitnport (serverport)
  File "/usr/lib64/python2.7/urllib.py", line 1142, in splitnport
    match = _nportprog.match(host)
TypeError: expected string or buffer

Local variables in innermost frame:
re: <module 're' from '/usr/lib64/python2.7/re.pyc'>
host: None
defport: -1
Comment 1 ARIKO 2013-07-22 09:09:50 EDT
Created attachment 776897 [details]
File: backtrace
Comment 2 ARIKO 2013-07-22 09:09:54 EDT
Created attachment 776898 [details]
File: core_backtrace
Comment 3 ARIKO 2013-07-22 09:09:57 EDT
Created attachment 776899 [details]
File: environ
Comment 4 Tim Waugh 2013-07-22 10:15:22 EDT
Fixed upstream in commit 807b985.

That error suggests the device URI for the queue you are using is incorrectly formed.
Comment 5 Fedora Update System 2013-08-21 12:22:38 EDT
system-config-printer-1.4.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.2-1.fc19
Comment 6 Fedora Update System 2013-08-22 20:45:11 EDT
Package system-config-printer-1.4.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.2-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15201/system-config-printer-1.4.2-1.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-25 18:56:14 EDT
system-config-printer-1.4.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.